Loading...
Searching...
No Matches
RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams Struct Reference

`#include <SynthonSpace.h>`

## Public Attributes

int | maxBondSplits {MAX_CONNECTOR_NUM}
std::uint64_t | maxNumFrags
std::int64_t | maxHits {1000}
std::int64_t | hitStart {0}
bool | randomSample {false}
int | randomSeed {-1}
bool | buildHits {true}
int | numRandomSweeps {10}
double | similarityCutoff {0.5}
double | fragSimilarityAdjuster
double | approxSimilarityAdjuster
std::uint64_t | timeOut {600}

## Detailed Description

Definition at line 44 of file SynthonSpace.h.

## Member Data Documentation

## approxSimilarityAdjuster

double RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::approxSimilarityAdjuster

Initial value:
{
0.1}

Definition at line 88 of file SynthonSpace.h.

## buildHits

bool RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::buildHits {true}

Definition at line 69 of file SynthonSpace.h.

## fragSimilarityAdjuster

double RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::fragSimilarityAdjuster

Initial value:
{
0.1}

Definition at line 80 of file SynthonSpace.h.

## hitStart

std::int64_t RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::hitStart {0}

Definition at line 62 of file SynthonSpace.h.

## maxBondSplits

int RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::maxBondSplits {MAX_CONNECTOR_NUM}

Definition at line 45 of file SynthonSpace.h.

## maxHits

std::int64_t RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::maxHits {1000}

Definition at line 60 of file SynthonSpace.h.

## maxNumFrags

std::uint64_t RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::maxNumFrags

Initial value:
{
100000}

Definition at line 53 of file SynthonSpace.h.

## numRandomSweeps

int RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::numRandomSweeps {10}

Definition at line 71 of file SynthonSpace.h.

## randomSample

bool RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::randomSample {false}

Definition at line 65 of file SynthonSpace.h.

## randomSeed

int RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::randomSeed {-1}

Definition at line 67 of file SynthonSpace.h.

## similarityCutoff

double RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::similarityCutoff {0.5}

Definition at line 75 of file SynthonSpace.h.

## timeOut

std::uint64_t RDKit::SynthonSpaceSearch::SynthonSpaceSearchParams::timeOut {600}

Definition at line 98 of file SynthonSpace.h.

The documentation for this struct was generated from the following file:

- SynthonSpace.h